Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic
Class ProblemBasedSingleStatistic<P extends StatisticPoint>

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.SingleStatistic<P>
          org.optaplanner.benchmark.impl.statistic.ProblemBasedSingleStatistic<P>

Direct Known Subclasses:
  BestScoreSingleStatistic, BestSolutionMutationSingleStatistic, CalculateCountSingleStatistic, MemoryUseSingleStatistic, MoveCountPerStepSingleStatistic, StepScoreSingleStatistic

    public abstract class ProblemBasedSingleStatistic<P extends StatisticPoint>

extends SingleStatistic<P>

Field Summary
`protected ProblemStatisticType` | `problemStatisticType`

Fields inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`logger, pointList, singleBenchmarkResult`

Constructor Summary
`protected` | `ProblemBasedSingleStatistic(SingleBenchmarkResult singleBenchmarkResult, ProblemStatisticType problemStatisticType)`

Method Summary
`ProblemStatisticType` | `getStatisticType()`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`close, createPointFromCsvLine, getAnchorId, getCsvFile, getCsvFilePath, getCsvHeader, getPointList, getSingleBenchmarkResult, initPointList, open, readCsvStatisticFile, setPointList, setSingleBenchmarkResult, writeCsvStatisticFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### problemStatisticType

    protected final ProblemStatisticType problemStatisticType

Constructor Detail

### ProblemBasedSingleStatistic

    protected ProblemBasedSingleStatistic(SingleBenchmarkResult singleBenchmarkResult,
                                          ProblemStatisticType problemStatisticType)

Method Detail

### getStatisticType

    public ProblemStatisticType getStatisticType()

  Specified by:
    `getStatisticType` in class `SingleStatistic<P extends StatisticPoint>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.